%global npm_name tough-cookie

Summary:       RFC6265 Cookies and Cookie Jar for node.js
Name:          nodejs-%{npm_name}
Version:       2.0.0
Release:       1%{?dist}
# The entire source code is BSD except public-suffix.txt which is MPLv1.1
License:       BSD and MPLv1.1
URL:           https://github.com/SalesforceEng/tough-cookie
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
RFC6265 Cookies and Cookie Jar for node.js

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr generate-pubsuffix.js lib package.json public-suffix.txt test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc LICENSE README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 2.0.0-1
- Initial package
